/*
	Vita Development Suite Libraries 0.2.0
*/

#ifndef _VDSUITE_USER_GPU_ES4_ERROR_H
#define _VDSUITE_USER_GPU_ES4_ERROR_H

/** @file
*/

#define PVRSRV_OK                                                  0 /* 0x00000000 */
#define PVRSRV_ERROR_OUT_OF_MEMORY                       -2141487103 /* 0x805B8001 */
#define PVRSRV_ERROR_TOO_FEW_BUFFERS                     -2141487102 /* 0x805B8002 */
#define PVRSRV_ERROR_INVALID_PARAMS                      -2141487101 /* 0x805B8003 */
#define PVRSRV_ERROR_INIT_FAILURE                        -2141487100 /* 0x805B8004 */
#define PVRSRV_ERROR_CANT_REGISTER_CALLBACK              -2141487099 /* 0x805B8005 */
#define PVRSRV_ERROR_INVALID_DEVICE                      -2141487098 /* 0x805B8006 */
#define PVRSRV_ERROR_NOT_OWNER                           -2141487097 /* 0x805B8007 */
#define PVRSRV_ERROR_BAD_MAPPING                         -2141487096 /* 0x805B8008 */
#define PVRSRV_ERROR_TIMEOUT                             -2141487095 /* 0x805B8009 */
#define PVRSRV_ERROR_FLIP_CHAIN_EXISTS                   -2141487094 /* 0x805B800A */
#define PVRSRV_ERROR_INVALID_SWAPINTERVAL                -2141487093 /* 0x805B800B */
#define PVRSRV_ERROR_SCENE_INVALID                       -2141487092 /* 0x805B800C */
#define PVRSRV_ERROR_STREAM_ERROR                        -2141487091 /* 0x805B800D */
#define PVRSRV_ERROR_FAILED_DEPENDENCIES                 -2141487090 /* 0x805B800E */
#define PVRSRV_ERROR_CMD_NOT_PROCESSED                   -2141487089 /* 0x805B800F */
#define PVRSRV_ERROR_CMD_TOO_BIG                         -2141487088 /* 0x805B8010 */
#define PVRSRV_ERROR_DEVICE_REGISTER_FAILED              -2141487087 /* 0x805B8011 */
#define PVRSRV_ERROR_TOOMANYBUFFERS                      -2141487086 /* 0x805B8012 */
#define PVRSRV_ERROR_NOT_SUPPORTED                       -2141487085 /* 0x805B8013 */
#define PVRSRV_ERROR_PROCESSING_BLOCKED                  -2141487084 /* 0x805B8014 */
#define PVRSRV_ERROR_CANNOT_FLUSH_QUEUE                  -2141487083 /* 0x805B8015 */
#define PVRSRV_ERROR_CANNOT_GET_QUEUE_SPACE              -2141487082 /* 0x805B8016 */
#define PVRSRV_ERROR_CANNOT_GET_RENDERDETAILS            -2141487081 /* 0x805B8017 */
#define PVRSRV_ERROR_RETRY                               -2141487080 /* 0x805B8018 */
#define PVRSRV_ERROR_DDK_VERSION_MISMATCH                -2141487079 /* 0x805B8019 */
#define PVRSRV_ERROR_BUILD_MISMATCH                      -2141487078 /* 0x805B801A */
#define PVRSRV_ERROR_CORE_REVISION_MISMATCH              -2141487077 /* 0x805B801B */
#define PVRSRV_ERROR_UPLOAD_TOO_BIG                      -2141487076 /* 0x805B801C */
#define PVRSRV_ERROR_INVALID_FLAGS                       -2141487075 /* 0x805B801D */
#define PVRSRV_ERROR_FAILED_TO_REGISTER_PROCESS          -2141487074 /* 0x805B801E */
#define PVRSRV_ERROR_UNABLE_TO_LOAD_LIBRARY              -2141487073 /* 0x805B801F */
#define PVRSRV_ERROR_UNABLE_GET_FUNC_ADDR                -2141487072 /* 0x805B8020 */
#define PVRSRV_ERROR_UNLOAD_LIBRARY_FAILED               -2141487071 /* 0x805B8021 */
#define PVRSRV_ERROR_BRIDGE_CALL_FAILED                  -2141487070 /* 0x805B8022 */
#define PVRSRV_ERROR_IOCTL_CALL_FAILED                   -2141487069 /* 0x805B8023 */
#define PVRSRV_ERROR_MMU_CONTEXT_NOT_FOUND               -2141487068 /* 0x805B8024 */
#define PVRSRV_ERROR_BUFFER_DEVICE_NOT_FOUND             -2141487067 /* 0x805B8025 */
#define PVRSRV_ERROR_BUFFER_DEVICE_ALREADY_PRESENT       -2141487066 /* 0x805B8026 */
#define PVRSRV_ERROR_PCI_DEVICE_NOT_FOUND                -2141487065 /* 0x805B8027 */
#define PVRSRV_ERROR_PCI_CALL_FAILED                     -2141487064 /* 0x805B8028 */
#define PVRSRV_ERROR_PCI_REGION_TOO_SMALL                -2141487063 /* 0x805B8029 */
#define PVRSRV_ERROR_PCI_REGION_UNAVAILABLE              -2141487062 /* 0x805B802A */
#define PVRSRV_ERROR_BAD_REGION_SIZE_MISMATCH            -2141487061 /* 0x805B802B */
#define PVRSRV_ERROR_REGISTER_BASE_NOT_SET               -2141487060 /* 0x805B802C */
#define PVRSRV_ERROR_FAILED_TO_ALLOC_USER_MEM            -2141487058 /* 0x805B802E */
#define PVRSRV_ERROR_FAILED_TO_ALLOC_VP_MEMORY           -2141487057 /* 0x805B802F */
#define PVRSRV_ERROR_FAILED_TO_MAP_SHARED_PBDESC         -2141487056 /* 0x805B8030 */
#define PVRSRV_ERROR_FAILED_TO_GET_PHYS_ADDR             -2141487055 /* 0x805B8031 */
#define PVRSRV_ERROR_FAILED_TO_ALLOC_VIRT_MEMORY         -2141487054 /* 0x805B8032 */
#define PVRSRV_ERROR_FAILED_TO_COPY_VIRT_MEMORY          -2141487053 /* 0x805B8033 */
#define PVRSRV_ERROR_FAILED_TO_ALLOC_PAGES               -2141487052 /* 0x805B8034 */
#define PVRSRV_ERROR_FAILED_TO_FREE_PAGES                -2141487051 /* 0x805B8035 */
#define PVRSRV_ERROR_FAILED_TO_COPY_PAGES                -2141487050 /* 0x805B8036 */
#define PVRSRV_ERROR_UNABLE_TO_LOCK_PAGES                -2141487049 /* 0x805B8037 */
#define PVRSRV_ERROR_UNABLE_TO_UNLOCK_PAGES              -2141487048 /* 0x805B8038 */
#define PVRSRV_ERROR_STILL_MAPPED                        -2141487047 /* 0x805B8039 */
#define PVRSRV_ERROR_MAPPING_NOT_FOUND                   -2141487046 /* 0x805B803A */
#define PVRSRV_ERROR_PHYS_ADDRESS_EXCEEDS_32BIT          -2141487045 /* 0x805B803B */
#define PVRSRV_ERROR_FAILED_TO_MAP_PAGE_TABLE            -2141487044 /* 0x805B803C */
#define PVRSRV_ERROR_INVALID_SEGMENT_BLOCK               -2141487043 /* 0x805B803D */
#define PVRSRV_ERROR_INVALID_SGXDEVDATA                  -2141487042 /* 0x805B803E */
#define PVRSRV_ERROR_INVALID_DEVINFO                     -2141487041 /* 0x805B803F */
#define PVRSRV_ERROR_INVALID_MEMINFO                     -2141487040 /* 0x805B8040 */
#define PVRSRV_ERROR_INVALID_MISCINFO                    -2141487039 /* 0x805B8041 */
#define PVRSRV_ERROR_UNKNOWN_IOCTL                       -2141487038 /* 0x805B8042 */
#define PVRSRV_ERROR_INVALID_CONTEXT                     -2141487037 /* 0x805B8043 */
#define PVRSRV_ERROR_UNABLE_TO_DESTROY_CONTEXT           -2141487036 /* 0x805B8044 */
#define PVRSRV_ERROR_INVALID_HEAP                        -2141487035 /* 0x805B8045 */
#define PVRSRV_ERROR_INVALID_KERNELINFO                  -2141487034 /* 0x805B8046 */
#define PVRSRV_ERROR_UNKNOWN_POWER_STATE                 -2141487033 /* 0x805B8047 */
#define PVRSRV_ERROR_INVALID_HANDLE_TYPE                 -2141487032 /* 0x805B8048 */
#define PVRSRV_ERROR_INVALID_WRAP_TYPE                   -2141487031 /* 0x805B8049 */
#define PVRSRV_ERROR_INVALID_PHYS_ADDR                   -2141487030 /* 0x805B804A */
#define PVRSRV_ERROR_INVALID_CPU_ADDR                    -2141487029 /* 0x805B804B */
#define PVRSRV_ERROR_INVALID_HEAPINFO                    -2141487028 /* 0x805B804C */
#define PVRSRV_ERROR_INVALID_PERPROC                     -2141487027 /* 0x805B804D */
#define PVRSRV_ERROR_FAILED_TO_RETRIEVE_HEAPINFO         -2141487026 /* 0x805B804E */
#define PVRSRV_ERROR_INVALID_MAP_REQUEST                 -2141487025 /* 0x805B804F */
#define PVRSRV_ERROR_INVALID_UNMAP_REQUEST               -2141487024 /* 0x805B8050 */
#define PVRSRV_ERROR_UNABLE_TO_FIND_MAPPING_HEAP         -2141487023 /* 0x805B8051 */
#define PVRSRV_ERROR_MAPPING_STILL_IN_USE                -2141487022 /* 0x805B8052 */
#define PVRSRV_ERROR_EXCEEDED_HW_LIMITS                  -2141487021 /* 0x805B8053 */
#define PVRSRV_ERROR_NO_STAGING_BUFFER_ALLOCATED         -2141487020 /* 0x805B8054 */
#define PVRSRV_ERROR_UNABLE_TO_CREATE_PERPROC_AREA       -2141487019 /* 0x805B8055 */
#define PVRSRV_ERROR_UNABLE_TO_CREATE_EVENT              -2141487018 /* 0x805B8056 */
#define PVRSRV_ERROR_UNABLE_TO_ENABLE_EVENT              -2141487017 /* 0x805B8057 */
#define PVRSRV_ERROR_UNABLE_TO_REGISTER_EVENT            -2141487016 /* 0x805B8058 */
#define PVRSRV_ERROR_UNABLE_TO_DESTROY_EVENT             -2141487015 /* 0x805B8059 */
#define PVRSRV_ERROR_UNABLE_TO_CREATE_THREAD             -2141487014 /* 0x805B805A */
#define PVRSRV_ERROR_UNABLE_TO_CLOSE_THREAD              -2141487013 /* 0x805B805B */
#define PVRSRV_ERROR_THREAD_READ_ERROR                   -2141487012 /* 0x805B805C */
#define PVRSRV_ERROR_UNABLE_TO_REGISTER_ISR_HANDLER      -2141487011 /* 0x805B805D */
#define PVRSRV_ERROR_UNABLE_TO_INSTALL_ISR               -2141487010 /* 0x805B805E */
#define PVRSRV_ERROR_UNABLE_TO_UNINSTALL_ISR             -2141487009 /* 0x805B805F */
#define PVRSRV_ERROR_ISR_ALREADY_INSTALLED               -2141487008 /* 0x805B8060 */
#define PVRSRV_ERROR_ISR_NOT_INSTALLED                   -2141487007 /* 0x805B8061 */
#define PVRSRV_ERROR_UNABLE_TO_INITIALISE_INTERRUPT      -2141487006 /* 0x805B8062 */
#define PVRSRV_ERROR_UNABLE_TO_RETRIEVE_INFO             -2141487005 /* 0x805B8063 */
#define PVRSRV_ERROR_UNABLE_TO_DO_BACKWARDS_BLIT         -2141487004 /* 0x805B8064 */
#define PVRSRV_ERROR_UNABLE_TO_CLOSE_SERVICES            -2141487003 /* 0x805B8065 */
#define PVRSRV_ERROR_UNABLE_TO_REGISTER_CONTEXT          -2141487002 /* 0x805B8066 */
#define PVRSRV_ERROR_UNABLE_TO_REGISTER_RESOURCE         -2141487001 /* 0x805B8067 */
#define PVRSRV_ERROR_INVALID_CCB_COMMAND                 -2141487000 /* 0x805B8068 */
#define PVRSRV_ERROR_UNABLE_TO_LOCK_RESOURCE             -2141486999 /* 0x805B8069 */
#define PVRSRV_ERROR_INVALID_LOCK_ID                     -2141486998 /* 0x805B806A */
#define PVRSRV_ERROR_RESOURCE_NOT_LOCKED                 -2141486997 /* 0x805B806B */
#define PVRSRV_ERROR_FLIP_FAILED                         -2141486996 /* 0x805B806C */
#define PVRSRV_ERROR_UNBLANK_DISPLAY_FAILED              -2141486995 /* 0x805B806D */
#define PVRSRV_ERROR_TIMEOUT_POLLING_FOR_VALUE           -2141486994 /* 0x805B806E */
#define PVRSRV_ERROR_CREATE_RENDER_CONTEXT_FAILED        -2141486993 /* 0x805B806F */
#define PVRSRV_ERROR_UNKNOWN_PRIMARY_FRAG                -2141486992 /* 0x805B8070 */
#define PVRSRV_ERROR_UNEXPECTED_SECONDARY_FRAG           -2141486991 /* 0x805B8071 */
#define PVRSRV_ERROR_UNEXPECTED_PRIMARY_FRAG             -2141486990 /* 0x805B8072 */
#define PVRSRV_ERROR_UNABLE_TO_INSERT_FENCE_ID           -2141486989 /* 0x805B8073 */
#define PVRSRV_ERROR_BLIT_SETUP_FAILED                   -2141486988 /* 0x805B8074 */
#define PVRSRV_ERROR_PDUMP_NOT_AVAILABLE                 -2141486987 /* 0x805B8075 */
#define PVRSRV_ERROR_PDUMP_BUFFER_FULL                   -2141486986 /* 0x805B8076 */
#define PVRSRV_ERROR_PDUMP_BUF_OVERFLOW                  -2141486985 /* 0x805B8077 */
#define PVRSRV_ERROR_PDUMP_NOT_ACTIVE                    -2141486984 /* 0x805B8078 */
#define PVRSRV_ERROR_INCOMPLETE_LINE_OVERLAPS_PAGES      -2141486983 /* 0x805B8079 */
#define PVRSRV_ERROR_MUTEX_DESTROY_FAILED                -2141486982 /* 0x805B807A */
#define PVRSRV_ERROR_MUTEX_INTERRUPTIBLE_ERROR           -2141486981 /* 0x805B807B */
#define PVRSRV_ERROR_INSUFFICIENT_SCRIPT_SPACE           -2141486980 /* 0x805B807C */
#define PVRSRV_ERROR_INSUFFICIENT_SPACE_FOR_COMMAND      -2141486979 /* 0x805B807D */
#define PVRSRV_ERROR_PROCESS_NOT_INITIALISED             -2141486978 /* 0x805B807E */
#define PVRSRV_ERROR_PROCESS_NOT_FOUND                   -2141486977 /* 0x805B807F */
#define PVRSRV_ERROR_SRV_CONNECT_FAILED                  -2141486976 /* 0x805B8080 */
#define PVRSRV_ERROR_SRV_DISCONNECT_FAILED               -2141486975 /* 0x805B8081 */
#define PVRSRV_ERROR_DEINT_PHASE_FAILED                  -2141486974 /* 0x805B8082 */
#define PVRSRV_ERROR_INIT2_PHASE_FAILED                  -2141486973 /* 0x805B8083 */
#define PVRSRV_ERROR_UNABLE_TO_FIND_RESOURCE             -2141486972 /* 0x805B8084 */
#define PVRSRV_ERROR_NO_DC_DEVICES_FOUND                 -2141486971 /* 0x805B8085 */
#define PVRSRV_ERROR_UNABLE_TO_OPEN_DC_DEVICE            -2141486970 /* 0x805B8086 */
#define PVRSRV_ERROR_UNABLE_TO_REMOVE_DEVICE             -2141486969 /* 0x805B8087 */
#define PVRSRV_ERROR_NO_DEVICEDATA_FOUND                 -2141486968 /* 0x805B8088 */
#define PVRSRV_ERROR_NO_DEVICENODE_FOUND                 -2141486967 /* 0x805B8089 */
#define PVRSRV_ERROR_NO_CLIENTNODE_FOUND                 -2141486966 /* 0x805B808A */
#define PVRSRV_ERROR_FAILED_TO_PROCESS_QUEUE             -2141486965 /* 0x805B808B */
#define PVRSRV_ERROR_UNABLE_TO_INIT_TASK                 -2141486964 /* 0x805B808C */
#define PVRSRV_ERROR_UNABLE_TO_SCHEDULE_TASK             -2141486963 /* 0x805B808D */
#define PVRSRV_ERROR_UNABLE_TO_KILL_TASK                 -2141486962 /* 0x805B808E */
#define PVRSRV_ERROR_UNABLE_TO_ENABLE_TIMER              -2141486961 /* 0x805B808F */
#define PVRSRV_ERROR_UNABLE_TO_DISABLE_TIMER             -2141486960 /* 0x805B8090 */
#define PVRSRV_ERROR_UNABLE_TO_REMOVE_TIMER              -2141486959 /* 0x805B8091 */
#define PVRSRV_ERROR_UNKNOWN_PIXEL_FORMAT                -2141486958 /* 0x805B8092 */
#define PVRSRV_ERROR_UNKNOWN_SCRIPT_OPERATION            -2141486957 /* 0x805B8093 */
#define PVRSRV_ERROR_HANDLE_INDEX_OUT_OF_RANGE           -2141486956 /* 0x805B8094 */
#define PVRSRV_ERROR_HANDLE_NOT_ALLOCATED                -2141486955 /* 0x805B8095 */
#define PVRSRV_ERROR_HANDLE_TYPE_MISMATCH                -2141486954 /* 0x805B8096 */
#define PVRSRV_ERROR_UNABLE_TO_ADD_HANDLE                -2141486953 /* 0x805B8097 */
#define PVRSRV_ERROR_HANDLE_NOT_SHAREABLE                -2141486952 /* 0x805B8098 */
#define PVRSRV_ERROR_HANDLE_NOT_FOUND                    -2141486951 /* 0x805B8099 */
#define PVRSRV_ERROR_INVALID_SUBHANDLE                   -2141486950 /* 0x805B809A */
#define PVRSRV_ERROR_HANDLE_BATCH_IN_USE                 -2141486949 /* 0x805B809B */
#define PVRSRV_ERROR_HANDLE_BATCH_COMMIT_FAILURE         -2141486948 /* 0x805B809C */
#define PVRSRV_ERROR_UNABLE_TO_CREATE_HASH_TABLE         -2141486947 /* 0x805B809D */
#define PVRSRV_ERROR_INSERT_HASH_TABLE_DATA_FAILED       -2141486946 /* 0x805B809E */
#define PVRSRV_ERROR_UNSUPPORTED_BACKING_STORE           -2141486945 /* 0x805B809F */
#define PVRSRV_ERROR_UNABLE_TO_DESTROY_BM_HEAP           -2141486944 /* 0x805B80A0 */
#define PVRSRV_ERROR_UNKNOWN_INIT_SERVER_STATE           -2141486943 /* 0x805B80A1 */
#define PVRSRV_ERROR_NO_FREE_DEVICEIDS_AVALIABLE         -2141486942 /* 0x805B80A2 */
#define PVRSRV_ERROR_INVALID_DEVICEID                    -2141486941 /* 0x805B80A3 */
#define PVRSRV_ERROR_DEVICEID_NOT_FOUND                  -2141486940 /* 0x805B80A4 */
#define PVRSRV_ERROR_MEMORY_TEST_FAILED                  -2141486939 /* 0x805B80A5 */
#define PVRSRV_ERROR_CPUPADDR_TEST_FAILED                -2141486938 /* 0x805B80A6 */
#define PVRSRV_ERROR_COPY_TEST_FAILED                    -2141486937 /* 0x805B80A7 */
#define PVRSRV_ERROR_SEMAPHORE_NOT_INITIALISED           -2141486936 /* 0x805B80A8 */
#define PVRSRV_ERROR_UNABLE_TO_RELEASE_CLOCK             -2141486935 /* 0x805B80A9 */
#define PVRSRV_ERROR_CLOCK_REQUEST_FAILED                -2141486934 /* 0x805B80AA */
#define PVRSRV_ERROR_DISABLE_CLOCK_FAILURE               -2141486933 /* 0x805B80AB */
#define PVRSRV_ERROR_UNABLE_TO_SET_CLOCK_RATE            -2141486932 /* 0x805B80AC */
#define PVRSRV_ERROR_UNABLE_TO_ROUND_CLOCK_RATE          -2141486931 /* 0x805B80AD */
#define PVRSRV_ERROR_UNABLE_TO_ENABLE_CLOCK              -2141486930 /* 0x805B80AE */
#define PVRSRV_ERROR_UNABLE_TO_GET_CLOCK                 -2141486929 /* 0x805B80AF */
#define PVRSRV_ERROR_UNABLE_TO_GET_PARENT_CLOCK          -2141486928 /* 0x805B80B0 */
#define PVRSRV_ERROR_UNABLE_TO_GET_SYSTEM_CLOCK          -2141486927 /* 0x805B80B1 */
#define PVRSRV_ERROR_UNKNOWN_SGL_ERROR                   -2141486926 /* 0x805B80B2 */
#define PVRSRV_ERROR_SYSTEM_POWER_CHANGE_FAILURE         -2141486925 /* 0x805B80B3 */
#define PVRSRV_ERROR_DEVICE_POWER_CHANGE_FAILURE         -2141486924 /* 0x805B80B4 */
#define PVRSRV_ERROR_BAD_SYNC_STATE                      -2141486923 /* 0x805B80B5 */

#endif /* _VDSUITE_USER_GPU_ES4_ERROR_H */

